--
-- Radio
-- for all self
--
-- @author Boembchen
-- @date  08/06/09 
--
-- @autor specialization SpeedySC1978
-- @date  18/06/09
--
-- Copyright (C) http://www.landwirtschaftssimulator-2009.de


RADIO = {};

function RADIO.prerequisitesPresent(specializations)
    return true;
end;

function RADIO:load(xmlFile)
	local radioSound = getXMLString(xmlFile, "vehicle.radioSound#file");
    if  radioSound ~= nil and  radioSound ~= "" then
        radioSound = Utils.getFilename(radioSound, self.baseDirectory); 
        self.radioSound = createSample("radioSound");
        self.radioSoundPlaying = false;
        loadSample(self. radioSound, radioSound, false);
        self.radioSoundVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.radioSound#volume"),1);
    end;
end;

function RADIO:delete()
end;

function RADIO:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RADIO:keyEvent(unicode, sym, modifier, isDown)
end;

function RADIO:update(dt)
	if self:getIsActiveForInput() and self:getIsActiveForSound() and InputBinding.hasEvent(InputBinding.RADIO_box) then
		if not self.radioSoundPlaying then 
			playSample(self.radioSound, 0, self.radioSoundVolume, 0); 
			self.radioSoundPlaying = true; 
		else 
			stopSample(self.radioSound); 
			self.radioSoundPlaying = false; 
		end;  
	end;	
end;

function RADIO:draw()
	if self.radioSound then
		g_currentMission:addHelpButtonText(g_i18n:getText("RADIO_box_1"), (InputBinding.RADIO_box)); 
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("RADIO_box_2"), (InputBinding.RADIO_box)); 
	end;
end;

function RADIO:onLeave()
	if self.radioSound ~= nil then
        stopSample(self.radioSound);
    end;
end;

function RADIO:delete()
	delete(self.radioSound);
end;